Page MenuHomeFreeBSD

Removing dead code.
ClosedPublic

Authored by mat on Jun 8 2016, 11:01 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4154
Build 4197: arc lint + arc unit

Event Timeline

mat updated this revision to Diff 17442.Jun 8 2016, 11:01 PM
mat retitled this revision from to Removing dead code..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat updated this revision to Diff 17450.Jun 9 2016, 2:43 AM
mat edited edge metadata.
  • Remove the double eval that do-fetch was using.
mat updated this revision to Diff 17478.Jun 9 2016, 9:01 PM
mat edited edge metadata.
  • Only check the size if the file has a size.
  • The file is now supposed to be unescaped, and expand a comment.
  • Fix some stuff.
  • Reverse tests to decrease complexity.
mat updated this revision to Diff 17486.Jun 10 2016, 1:35 AM
mat edited edge metadata.
  • Extract create-manifest.
bapt accepted this revision.Jun 10 2016, 7:30 PM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.

nice one!

This revision is now accepted and ready to land.Jun 10 2016, 7:30 PM
mat updated this revision to Diff 17503.Jun 11 2016, 1:31 AM
mat edited edge metadata.
  • Don't need MANIFESTF in b.p.m any more. If +DISPLAY is empty, remove it.
This revision now requires review to proceed.Jun 11 2016, 1:31 AM
mat updated this revision to Diff 17586.Jun 14 2016, 6:24 PM
mat edited edge metadata.
  • Fix FETCH_ENV. (For the all of one port using it.)
  • Fix fetch for geomWatch & xpi-splash.
  • Remove the eval/quote madness that was just fixed.
  • More eval madness.
  • Fix.
mat updated this revision to Diff 17587.Jun 14 2016, 6:29 PM
  • validate environment of create-manifest.
mat updated this revision to Diff 17588.Jun 14 2016, 7:01 PM
  • Add a few checks for (MASTER|PATCH)_SITES groups that have dashes (or
mat updated this revision to Diff 17597.Jun 15 2016, 1:53 PM

rebase.

This revision was automatically updated to reflect the committed changes.